Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


Name:           nodejs-child-process-close
Version:        0.1.1
Release:        alt1_12
Summary:        Make child_process objects emit 'close' events
BuildArch:      noarch

#MIT license included in README file
License:        MIT
URL:            https://github.com/piscisaureus/child-process-close
Source0:        https://registry.npmjs.org/child-process-close/-/child-process-close-%{version}.tgz

BuildRequires:  rpm-build-nodejs node-devel
Source44: import.info

%description
This module makes child process objects, (created with spawn, fork, exec or 
execFile) emit the close event in node v0.6 like they do in node v0.8. This 
makes it easier to write code that works correctly on both versions of node.

%prep
%setup -q -n package

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/child-process-close
cp -pr index.js package.json %{buildroot}%{nodejs_sitelib}/child-process-close

%nodejs_symlink_deps

%check
%{__nodejs} test/test.js

%files
%{nodejs_sitelib}/child-process-close
%doc README.md

%changelog
* Mon Mar 18 2019 Igor Vlasenko <viy@altlinux.ru> 0.1.1-alt1_12
- fc update

* Mon Aug 12 2013 Igor Vlasenko <viy@altlinux.ru> 0.1.1-alt1_3
- fc import

* Mon Jun 24 2013 Igor Vlasenko <viy@altlinux.ru> 0.1.1-alt1_2
- initial import

* Mon Jun 24 2013 Igor Vlasenko <viy@altlinux.ru> 0.1.1-alt1_1
- initial import

